Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452449 - Review Request: perl-Set-Crontab Expand crontab(5)-style integer lists
Summary: Review Request: perl-Set-Crontab Expand crontab(5)-style integer lists
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 460586 (view as bug list)
Depends On:
Blocks: F-Spacewalk
TreeView+ depends on / blocked
 
Reported: 2008-06-23 01:55 UTC by Michael Stahnke
Modified: 2008-09-11 07:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-11 07:19:07 UTC
mmaslano: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michael Stahnke 2008-06-23 01:55:24 UTC
Spec URL: http://stahnma.fedorapeople.org/reviews/perl-Set-Crontab.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/perl-Set-Crontab-1.00-13.fc9.noarch.rpm
Description: 
Set::Crontab parses crontab-style lists of integers and defines some
utility functions to make it easier to deal with them.

Note: This is the first of a series of packages that we trying to get into Fedora for the ultimate goal of getting Spacewalk into Fedora.

Comment 1 Jason Tibbitts 2008-06-23 03:52:20 UTC
I really hate to say this, but this software is licensed under the Artistic
license _only_ (not the usual "Same as Perl").  Software which is only available
under the Artistic license is not permissible in Fedora according to the lawyers.
http://fedoraproject.org/wiki/Licensing

Comment 2 Michael Stahnke 2008-06-23 19:38:06 UTC
I thought that I remembered that also, but when I looked at the wiki page last
night (the same one you refer to) I didn't see Artistic as bad. Now when I look
again, I am just wrong. Apparently Artistic != Artistic 2.0 it's ok. 

Withdrawn review.  

Comment 3 Jason Tibbitts 2008-06-23 19:51:04 UTC
If you really need this package, you could contact the author and see about
relicensing the code.  Or perhaps just get him to clarify whether he's using the
original artistic license or one of the acceptable versions.  Unfortunately the
link in the license text in the documentation doesn't actually go to any license
text.

On IRC last night, though, I recall someone indicating that this module isn't
actually used by spacewalk.

Comment 4 Miroslav Suchý 2008-07-17 12:35:20 UTC
Spacewalk need it due Schedule-Cron-Events.
I will try to contact original author.

Comment 5 Miroslav Suchý 2008-07-30 07:27:27 UTC
Abhijit wrote:
>Hello Miroslav.
>I have released Set::Crontab 1.01 under "the same terms as Perl itself".
>Sorry for the delayed response.

Waiting to appear updated on CPAN...

Comment 6 Miroslav Suchý 2008-07-31 09:37:51 UTC
Release 1.01 was broken.
Release 1.02 is fixed and is relicensed:
This module is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

Updated SRPM:
http://miroslav.suchy.cz/fedora/perl-Set-Crontab/perl-Set-Crontab-1.02-1.src.rpm
Updated SPEC:
http://miroslav.suchy.cz/fedora/perl-Set-Crontab/perl-Set-Crontab.spec

Comment 7 Marcela Mašláňová 2008-08-18 12:13:31 UTC
Licence is ok. Let's wait for koji build...

Comment 8 Marcela Mašláňová 2008-08-28 11:35:14 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=790075

oukej, your package pass the review

Comment 9 Miroslav Suchý 2008-08-28 11:55:39 UTC
New Package CVS Request
=======================
Package Name: perl-Set-Crontab
Short Description: Expand crontab(5)-style integer lists 
Owners: msuchy
Branches: devel F-9 EL-4 EL-5
InitialCC:
Cvsextras Commits: yes

Comment 10 Kevin Fenzi 2008-08-29 04:36:20 UTC
cvs done.

Comment 11 manuel wolfshant 2008-08-29 06:27:27 UTC
*** Bug 460586 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.